%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Net-SSLeay
%define modv   1.35


Summary:       A Perl extension for using OpenSSL
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD-style
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Florian Ragwitz <rafl@debian.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Config)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: openssl-devel


%description
Net::SSLeay offers some high level convinience functions for accessing web
pages on SSL servers (for symmetry, same API is offered for accessing http
servers, too), a sslcat() function for writing your own clients, and finally
access to the SSL API of SSLeay/OpenSSL package so you can write servers or
clients for more complicated applications.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes Credits QuickRef README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net
%{_mandir}/man3/*.3*


%changelog
* Sun Feb 22 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.35-1
- Initial build
